// File: StateDemo.java
// Test student class

import java.io.*;

public class StateDemo {

public static int searchForStates(State[] list) throws java.io.IOException
{State s=new State();
 BufferedReader kbd=new BufferedReader(new InputStreamReader(System.in));
 String key;
 int k=0;
 do {
	 System.out.print("Enter State to Search For (Return exits) >");
	 key=kbd.readLine();
	 if (key.length()>0){ 
		s.setName(key.toUpperCase());
		k=GenericSearch.smartLSearch(list,50,s);
		System.out.println("Search returned "+k);
		if (k>0) {
			State.printHeader();
			list[k].printState();
		}
	 }
 } while  (key.length()>0);
 return(k);
}
	
public static void main(String[] args) throws java.io.IOException
{// Associate the disk file with the File object
 File InputFile=new File("states_.fil");
 // Now, open a stream from the input file
 BufferedReader DataInput=new BufferedReader(new FileReader("states_.fil"));
 // Read the file and print the States that were read
 State[] sList=new State[100];
 int ctr=0;
// while ((Line=DataInput.readLine())!=null)
 System.out.println("The List in File Order...");
 while ((sList[ctr]=State.readStateFromFile(DataInput))!=null)
  sList[ctr++].printState();
 
 GenericSort.bubbleSort(sList,50);
 System.out.println("The List in Alphabetical Order...");
 State.printHeader();
 for (int i=0;i<50;i++)
  sList[i++].printState();

 searchForStates(sList);
 
}


}

